SHRED(1)

NUME
shred - suprascrie un fișier pentru a-i ascunde conținutul și, opțional, îl șterge

REZUMAT
shred [OPȚIUNE]... [FIȘIER]...

DESCRIERE

Suprascrie în mod repetat FIȘIERul/ele specificat(e), pentru a îngreuna recuperarea datelor chiar și pentru pentru echipamentele foarte scumpe.

Dacă FIȘIER este „-”, «shred» distruge ieșirea standard.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-f, --force
    modifică permisiunile pentru a permite scrierea, dacă este necesar

-n, --iterations=N
    suprascrie de N ori, în loc de suprascrierea implicită de (3) ori

--random-source=FIȘIER
    preia aleator octeți din FIȘIER

-s, --size=N
    distruge N octeți (sufixe precum K, M, G sunt acceptate)

-u  eliberează și elimină fișierul după suprascriere

--remove[=CUM]
    ca -u, dar dă control asupra CUM se șterge; a se vedea mai jos

-v, --verbose
    afișează un indicator de progres al operației

-x, --exact
    nu rotunjește dimensiunile fișierelor până la următorul bloc complet;

    aceasta este valoarea implicită pentru fișierele neobișnuite (speciale)

-z, --zero
    adaugă o suprascriere finală cu zerouri pentru a ascunde mărunțirea

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

Șterge FIȘIERUL(ele) dacă este specificată opțiunea --remove (-u). Valoarea implicită este de a nu elimina fișierele, deoarece este obișnuit să se opereze pe fișiere de dispozitiv cum ar fi /dev/hda, iar aceste fișiere, de obicei, nu trebuie eliminate. Parametrul opțional CUM indică modul de eliminare a unei intrări de director: 'unlink' => utilizează un apel standard de dezlegare(eliminare). 'wipe' => de asemenea, mai întâi estompează octeții din nume. 'wipesync' => sincronizează, de asemenea, fiecare octet estompat cu dispozitivul. Modul implicit este 'wipesync', dar rețineți că poate fi consumator de resurse.

ATENȚIE: »shred» presupune că sistemul de fișiere și echipamentul (dispozitivele) suprascriu datele existente. Deși acest lucru este obișnuit, multe platforme operează altfel. De asemenea, copiile de rezervă și oglinzile pot să conțină copii care nu pot fi eliminate, care vor permite ca un fișier mărunțit să fie recuperat ulterior. Pentru detalii, consultați manualul GNU coreutils.

AUTOR
Scris de Colin Plumb.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2022 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/shred>
sau local rulând comanda: «info '(coreutils) shred invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.